// creator  : weidu.exe (version 23100)
// argument : JAN25P.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~JAN25P~

IF ~Global("KickedOut","LOCALS",0)~ THEN BEGIN 0 // from:
  SAY #65370 /* ~Against all my better judgement I'll give you a second chance to change your mind.  How about it?  Two turnips and I stay?  Three?~ [JANJ2523] */
  IF ~~ THEN REPLY #65371 /* ~Three turnips, eh?  Hand them over.~ */ DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~~ THEN REPLY #65372 /* ~Never mind.  Stay with the party, Jan.~ */ DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~AreaCheck("AR4500")~ THEN REPLY #65373 /* ~Just wait here for awhile.~ */ DO ~SetGlobal("KickedOut","LOCALS",1)
MoveToPointNoInterrupt([2262.1309])
Face(14)~ GOTO 1
  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY #65374 /* ~I'm sending you back to the pocket plane... wait there.~ */ DO ~SetGlobal("KickedOut","LOCALS",1)
CreateVisualEffectObject("SPDIMNDR",Myself)
Wait(2)
MoveBetweenAreas("AR4500",[2262.1309],14)
~ EXIT
  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY #70962 /* ~Just wait here for awhile.~ */ DO ~SetGlobal("KickedOut","LOCALS",1)~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.4 0.2
  SAY #65375 /* ~'Just wait here for awhile.'  That's what Uncle Eichenwacher used to say when he tried to lose me in the old swamps.  I never liked him much.~ */
  IF ~~ THEN EXIT
END

IF ~Global("KickedOut","LOCALS",1)~ THEN BEGIN 2 // from:
  SAY #65376 /* ~(snore) ... Uh, huh, what?!  Is it time to go already?~ [JANJ2524] */
  IF ~~ THEN REPLY #65377 /* ~Yes, let's go.~ */ DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()~ EXIT
  IF ~~ THEN REPLY #65378 /* ~No, just wait here awhile longer.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.1
  SAY #65379 /* ~You woke me up to tell me *that*?  Sheesh.~ */
  IF ~~ THEN EXIT
END
